be.fgov.ehealth.certra.protocol.v2

## Class GenerateRevocationContractResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.StatusResponseType
    - - be.fgov.ehealth.certra.protocol.v2.GenerateRevocationContractResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:49:08+02:00",
                 comments="JAXB RI v2.3.7")
      public class GenerateRevocationContractResponse
      extends StatusResponseType
      implements Serializable

  Response containing the revocation contract in XML format. The XML also contains a human-readable HTML contract in french and dutch that must be shown to the end user so that they know what they are signing. The contract contained in this response must be sent as-is in the RevokeRequest.

  Java class for GenerateRevocationContractResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GenerateRevocationContractResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
             <sequence minOccurs="0">
               <element name="Contract" type="{urn:be:fgov:ehealth:certra:core:v2}RevocationContractType"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerateRevocationContractResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RevocationContractType` | `getContract()` Gets the value of the contract property.
    `void` | `setContract(RevocationContractType value)` Sets the value of the contract property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

      `getStatus, setStatus`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateRevocationContractResponse

          public GenerateRevocationContractResponse()

  - ### Method Detail

    - #### getContract

          public RevocationContractType getContract()

      Gets the value of the contract property.
      Returns:
        possible object is `RevocationContractType`

    - #### setContract

          public void setContract(RevocationContractType value)

      Sets the value of the contract property.
      Parameters:
        `value` - allowed object is `RevocationContractType`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.